import { jsx } from "react/jsx-runtime";
import { TokenSI as TokenSI$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSI = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "SI", "data-name": "TokenSI", ...props, children: /* @__PURE__ */ jsx(TokenSI$1, { variant }) });
  }
);
TokenSI.displayName = "TokenSI";
Object.assign(TokenSI, { isGdsIcon: true });
export {
  TokenSI
};
